## gnuradio 3.6.5.1

=== CMakeLists.txt ===
# Copyright 2010-2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
    message(FATAL_ERROR "Prevented in-tree build. This is bad practice.")
endif(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})

########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.6)
project(gnuradio CXX C)
enable_testing()

#select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

# Set the version information here
set(VERSION_INFO_MAJOR_VERSION 3)
set(VERSION_INFO_API_COMPAT    6)
set(VERSION_INFO_MINOR_VERSION 5)
set(VERSION_INFO_MAINT_VERSION 1)
include(GrVersion) #setup version info

# Append -O2 optimization flag for Debug builds
SET(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -O2")
SET(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -O2")

########################################################################
# Environment setup
########################################################################
IF(NOT DEFINED BOOST_ROOT)
    SET(BOOST_ROOT ${CMAKE_INSTALL_PREFIX})
ENDIF()

########################################################################
# Import executables from a native build (for cross compiling)
# http://www.vtk.org/Wiki/CMake_Cross_Compiling#Using_executables_in_the_build_created_during_the_build
########################################################################
if(IMPORT_EXECUTABLES)
    include(${IMPORT_EXECUTABLES})
endif(IMPORT_EXECUTABLES)

#set file that the native build will fill with exports
set(EXPORT_FILE ${CMAKE_BINARY_DIR}/ImportExecutables.cmake)
file(WRITE ${EXPORT_FILE}) #blank the file (subdirs will append)

########################################################################
# Compiler specific setup
########################################################################
include(GrMiscUtils) #compiler flag check

if(CMAKE_COMPILER_IS_GNUCXX AND NOT WIN32)
    #http://gcc.gnu.org/wiki/Visibility
    GR_ADD_CXX_COMPILER_FLAG_IF_AVAILABLE(-fvisibility=hidden HAVE_VISIBILITY_HIDDEN)
endif()

if(CMAKE_COMPILER_IS_GNUCXX)
    GR_ADD_CXX_COMPILER_FLAG_IF_AVAILABLE(-Wsign-compare HAVE_WARN_SIGN_COMPARE)
    GR_ADD_CXX_COMPILER_FLAG_IF_AVAILABLE(-Wall HAVE_WARN_ALL)
    GR_ADD_CXX_COMPILER_FLAG_IF_AVAILABLE(-Wno-uninitialized HAVE_WARN_NO_UNINITIALIZED)
endif(CMAKE_COMPILER_IS_GNUCXX)

if(MSVC)
    include_directories(${CMAKE_SOURCE_DIR}/cmake/msvc) #missing headers
    add_definitions(-D_WIN32_WINNT=0x0501) #minimum version required is windows xp
    add_definitions(-DNOMINMAX) #disables stupidity and enables std::min and std::max
    add_definitions( #stop all kinds of compatibility warnings
        -D_SCL_SECURE_NO_WARNINGS
        -D_CRT_SECURE_NO_WARNINGS
        -D_CRT_SECURE_NO_DEPRECATE
        -D_CRT_NONSTDC_NO_DEPRECATE
    )
    add_definitions(-DHAVE_CONFIG_H)
    add_definitions(/MP) #build with multiple processors
    add_definitions(/bigobj) #allow for larger object files
endif(MSVC)

########################################################################
# Install directories
########################################################################
include(GrPlatform) #define LIB_SUFFIX
set(GR_RUNTIME_DIR      bin)
set(GR_LIBRARY_DIR      lib${LIB_SUFFIX})
set(GR_INCLUDE_DIR      include)
set(GR_DATA_DIR         share)
set(GR_PKG_DATA_DIR     ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME})
set(GR_DOC_DIR          ${GR_DATA_DIR}/doc)
set(GR_PKG_DOC_DIR      ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME}-${DOCVER})
set(GR_CONF_DIR         etc)
set(GR_PKG_CONF_DIR     ${GR_CONF_DIR}/${CMAKE_PROJECT_NAME}/conf.d)
set(GR_LIBEXEC_DIR      libexec)
set(GR_PKG_LIBEXEC_DIR  ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME})
set(GRC_BLOCKS_DIR      ${GR_PKG_DATA_DIR}/grc/blocks)
set(SYSCONFDIR          "${CMAKE_INSTALL_PREFIX}/${GR_CONF_DIR}" CACHE PATH "System configuration directory")
set(GR_PREFSDIR         ${SYSCONFDIR}/${CMAKE_PROJECT_NAME}/conf.d)

OPTION(ENABLE_PERFORMANCE_COUNTERS "Enable block performance counters" OFF)
if(ENABLE_PERFORMANCE_COUNTERS)
  message(STATUS "ADDING PERF COUNTERS")
  SET(GR_PERFORMANCE_COUNTERS True)
  add_definitions(-DGR_PERFORMANCE_COUNTERS)
else(ENABLE_PERFORMANCE_COUNTERS)
  SET(GR_PERFORMANCE_COUNTERS False)
  message(STATUS "NO PERF COUNTERS")
endif(ENABLE_PERFORMANCE_COUNTERS)

########################################################################
# Variables replaced when configuring the package config files
########################################################################
file(TO_NATIVE_PATH "${CMAKE_INSTALL_PREFIX}"           prefix)
file(TO_NATIVE_PATH "\${prefix}"                        exec_prefix)
file(TO_NATIVE_PATH "\${exec_prefix}/${GR_LIBRARY_DIR}" libdir)
file(TO_NATIVE_PATH "\${prefix}/${GR_INCLUDE_DIR}"      includedir)
file(TO_NATIVE_PATH "${SYSCONFDIR}"                     SYSCONFDIR)
file(TO_NATIVE_PATH "${GR_PREFSDIR}"                    GR_PREFSDIR)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

########################################################################
# Enable python component
########################################################################
find_package(PythonLibs)
find_package(SWIG)

if(SWIG_FOUND)
    message(STATUS "Minimum SWIG version required is 1.3.31")
    set(SWIG_VERSION_CHECK FALSE)
    if("${SWIG_VERSION}" VERSION_GREATER "1.3.30")
        set(SWIG_VERSION_CHECK TRUE)
    endif()
endif(SWIG_FOUND)

include(GrComponent)
GR_REGISTER_COMPONENT("python-support" ENABLE_PYTHON
    PYTHONLIBS_FOUND
    SWIG_FOUND
    SWIG_VERSION_CHECK
)

find_package(CppUnit)
GR_REGISTER_COMPONENT("testing-support" ENABLE_TESTING
    CPPUNIT_FOUND
)

########################################################################
# Add optional dlls specified in DLL_PATHS
########################################################################
foreach(path ${DLL_PATHS})
    file(GLOB _dlls "${path}/*.dll")
    list(APPEND ALL_DLL_FILES ${_dlls})
endforeach(path)
if(DEFINED ALL_DLL_FILES)
    include(GrPackage)
    CPACK_COMPONENT("extra_dlls"
        DISPLAY_NAME "Extra DLLs"
        DESCRIPTION  "Extra DLLs for runtime dependency requirements"
    )
    message(STATUS "")
    message(STATUS "Including the following dlls into the install:")
    foreach(_dll ${ALL_DLL_FILES})
        message(STATUS "  ${_dll}")
    endforeach(_dll)
    install(FILES ${ALL_DLL_FILES} DESTINATION ${GR_RUNTIME_DIR} COMPONENT "extra_dlls")
endif()

########################################################################
# Setup volk as a subproject
########################################################################
include(GrComponent)
GR_REGISTER_COMPONENT("volk" ENABLE_VOLK)

set(VOLK_INCLUDE_DIRS
    ${CMAKE_CURRENT_SOURCE_DIR}/volk/include
    ${CMAKE_CURRENT_BINARY_DIR}/volk/include
)

if(ENABLE_VOLK)

include(GrPackage)
CPACK_SET(CPACK_COMPONENT_GROUP_VOLK_DESCRIPTION "Vector optimized library of kernels")

CPACK_COMPONENT("volk_runtime"
    GROUP        "Volk"
    DISPLAY_NAME "Runtime"
    DESCRIPTION  "Dynamic link libraries"
)

CPACK_COMPONENT("volk_devel"
    GROUP        "Volk"
    DISPLAY_NAME "Development"
    DESCRIPTION  "C++ headers, package config, import libraries"
)


add_subdirectory(volk)
endif(ENABLE_VOLK)

# Handle gr_log enable/disable
GR_LOGGING()

########################################################################
# Distribute the README file
########################################################################
install(
    FILES README README.hacking
    DESTINATION ${GR_PKG_DOC_DIR}
    COMPONENT "docs"
)

########################################################################
# The following dependency libraries are needed by all gr modules:
########################################################################
list(APPEND GR_TEST_TARGET_DEPS volk gruel gnuradio-core)
list(APPEND GR_TEST_PYTHON_DIRS
    ${CMAKE_SOURCE_DIR}/gruel/src/python
    ${CMAKE_BINARY_DIR}/gruel/src/swig
    ${CMAKE_BINARY_DIR}/gnuradio-core/src/python
    ${CMAKE_BINARY_DIR}/gnuradio-core/src/lib/swig
)

########################################################################
# Add subdirectories (in order of deps)
########################################################################
add_subdirectory(docs)
add_subdirectory(gruel)
add_subdirectory(gnuradio-core)
add_subdirectory(grc)
add_subdirectory(gr-blocks)
add_subdirectory(gr-fft)
add_subdirectory(gr-filter)
add_subdirectory(gr-atsc)
add_subdirectory(gr-audio)
add_subdirectory(gr-comedi)
add_subdirectory(gr-analog)
add_subdirectory(gr-digital)
add_subdirectory(gr-noaa)
add_subdirectory(gr-pager)
add_subdirectory(gr-qtgui)
add_subdirectory(gr-trellis)
add_subdirectory(gr-uhd)
add_subdirectory(gr-shd)
add_subdirectory(gr-utils)
add_subdirectory(gr-video-sdl)
add_subdirectory(gr-vocoder)
add_subdirectory(gr-fcd)
add_subdirectory(gr-wavelet)
add_subdirectory(gr-wxgui)

# Install our Cmake modules into $prefix/lib/cmake/gnuradio
# See "Package Configuration Files" on page:
#    http://www.cmake.org/Wiki/CMake/Tutorials/Packaging

configure_file(
  ${CMAKE_SOURCE_DIR}/cmake/Modules/GnuradioConfigVersion.cmake.in
  ${CMAKE_BINARY_DIR}/cmake/Modules/GnuradioConfigVersion.cmake
@ONLY)

SET(cmake_configs 
  ${CMAKE_SOURCE_DIR}/cmake/Modules/GnuradioConfig.cmake
  ${CMAKE_BINARY_DIR}/cmake/Modules/GnuradioConfigVersion.cmake
)

if(NOT CMAKE_MODULES_DIR)
   set(CMAKE_MODULES_DIR lib/cmake/gnuradio)
endif(NOT CMAKE_MODULES_DIR)

install(
  FILES ${cmake_configs}
  DESTINATION ${CMAKE_MODULES_DIR}
  COMPONENT "runtime_devel"
)

#finalize cpack after subdirs processed
include(GrPackage)
CPACK_FINALIZE()

########################################################################
# Print summary
########################################################################
GR_PRINT_COMPONENT_SUMMARY()
message(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Building for version: ${VERSION} / ${LIBVER}")

# Create a gr_config.h with some definitions to export to other projects.
CONFIGURE_FILE(
  ${CMAKE_CURRENT_SOURCE_DIR}/gr_config.h.in
  ${CMAKE_CURRENT_BINARY_DIR}/gr_config.h
)

# Install gr_config.h in include/gnuradio
install(
    FILES
    ${CMAKE_CURRENT_BINARY_DIR}/gr_config.h
    DESTINATION ${GR_INCLUDE_DIR}/gnuradio
    COMPONENT "core_devel"
)

=== gnuradio-core/CMakeLists.txt ===
# Copyright 2010-2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup dependencies
########################################################################
include(GrBoost)

find_package(FFTW3f)

include(GrPython) #used for code generation

get_filename_component(GR_CORE_PYTHONPATH
    ${CMAKE_CURRENT_SOURCE_DIR}/src/python ABSOLUTE
)
GR_SET_GLOBAL(GR_CORE_PYTHONPATH ${GR_CORE_PYTHONPATH})

########################################################################
# Register component
########################################################################
include(GrComponent)
GR_REGISTER_COMPONENT("gnuradio-core" ENABLE_GR_CORE
    ENABLE_GRUEL
    ENABLE_VOLK
    Boost_FOUND
    FFTW3F_FOUND
    PYTHONINTERP_FOUND
)

include(GrMiscUtils)

GR_SET_GLOBAL(GNURADIO_CORE_INCLUDE_DIRS
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/runtime
    ${CMAKE_CURRENT_BINARY_DIR}/src/lib/general
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/general
    ${CMAKE_CURRENT_BINARY_DIR}/src/lib/gengen
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/gengen
    ${CMAKE_CURRENT_BINARY_DIR}/src/lib/filter
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/filter
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/missing
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/reed-solomon
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/viterbi
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/io
    ${CMAKE_CURRENT_BINARY_DIR}/src/lib/swig
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/swig
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/hier
    ${CMAKE_BINARY_DIR}
)

list(APPEND GNURADIO_CORE_INCLUDE_DIRS ${CMAKE_BINARY_DIR})

GR_SET_GLOBAL(GNURADIO_CORE_SWIG_INCLUDE_DIRS
    ${GNURADIO_CORE_INCLUDE_DIRS}
    ${CMAKE_CURRENT_SOURCE_DIR}/src/lib/swig
    ${CMAKE_SOURCE_DIR}/gruel/src/swig
    ${CMAKE_BINARY_DIR}/gruel/src/swig
    ${CMAKE_BINARY_DIR}
)

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_GR_CORE)

########################################################################
# Setup CPack components
########################################################################
include(GrPackage)
CPACK_SET(CPACK_COMPONENT_GROUP_CORE_DESCRIPTION "GNU Radio Core Library")

CPACK_COMPONENT("core_runtime"
    GROUP        "Core"
    DISPLAY_NAME "Runtime"
    DESCRIPTION  "Runtime"
    DEPENDS      "gruel_runtime"
)

CPACK_COMPONENT("core_devel"
    GROUP        "Core"
    DISPLAY_NAME "Development"
    DESCRIPTION  "C++ headers, package config, import libraries"
    DEPENDS      "gruel_devel"
)

CPACK_COMPONENT("core_python"
    GROUP        "Core"
    DISPLAY_NAME "Python"
    DESCRIPTION  "Python modules for runtime; GRC xml files"
    DEPENDS      "gruel_python;core_runtime"
)

CPACK_COMPONENT("core_swig"
    GROUP        "Core"
    DISPLAY_NAME "SWIG"
    DESCRIPTION  "SWIG development .i files"
    DEPENDS      "gruel_swig;core_python;core_devel"
)

# Setup configure file
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-core.conf.in
    ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-core.conf
@ONLY)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-core.conf
    DESTINATION ${GR_PREFSDIR}
    COMPONENT "core_runtime"
)

if(ENABLE_GR_LOG AND HAVE_LOG4CPP)
install(FILES
    ${CMAKE_CURRENT_SOURCE_DIR}/gr_log_default.xml
    DESTINATION ${GR_CONF_DIR}/gnuradio
    COMPONENT "core_runtime"
)
endif(ENABLE_GR_LOG AND HAVE_LOG4CPP)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(src/lib)
if(ENABLE_TESTING)
    add_subdirectory(src/tests)
endif(ENABLE_TESTING)
if(ENABLE_PYTHON)
    add_subdirectory(src/lib/swig)
    add_subdirectory(src/python/gnuradio)
    add_subdirectory(src/examples)
endif(ENABLE_PYTHON)

########################################################################
# Create Pkg Config File
########################################################################
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-core.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-core.pc
@ONLY)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-core.pc
    DESTINATION ${GR_LIBRARY_DIR}/pkgconfig
    COMPONENT "core_devel"
)

endif(ENABLE_GR_CORE)

=== gr-blocks/CMakeLists.txt ===
# Copyright 2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup dependencies
########################################################################
include(GrBoost)

########################################################################
# Register component
########################################################################
include(GrComponent)
GR_REGISTER_COMPONENT("gr-blocks" ENABLE_GR_BLOCKS
    Boost_FOUND
    ENABLE_GR_CORE
)

GR_SET_GLOBAL(GR_BLOCKS_INCLUDE_DIRS
    ${CMAKE_CURRENT_SOURCE_DIR}/lib
    ${CMAKE_CURRENT_SOURCE_DIR}/include
    ${CMAKE_CURRENT_BINARY_DIR}/lib
    ${CMAKE_CURRENT_BINARY_DIR}/include
)

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_GR_BLOCKS)

########################################################################
# Setup CPack components
########################################################################
include(GrPackage)
CPACK_SET(CPACK_COMPONENT_GROUP_BLOCKS_DESCRIPTION "GNU Radio Basic Blocks")

CPACK_COMPONENT("blocks_runtime"
    GROUP        "Blocks"
    DISPLAY_NAME "Runtime"
    DESCRIPTION  "Runtime"
    DEPENDS      "core_runtime"
)

CPACK_COMPONENT("blocks_devel"
    GROUP        "Blocks"
    DISPLAY_NAME "Development"
    DESCRIPTION  "C++ headers, package config, import libraries"
    DEPENDS      "core_devel"
)

CPACK_COMPONENT("blocks_python"
    GROUP        "Blocks"
    DISPLAY_NAME "Python"
    DESCRIPTION  "Python modules for runtime; GRC xml files"
    DEPENDS      "core_python;blocks_runtime"
)

CPACK_COMPONENT("blocks_swig"
    GROUP        "Blocks"
    DISPLAY_NAME "SWIG"
    DESCRIPTION  "SWIG development .i files"
    DEPENDS      "core_swig;blocks_python;blocks_devel"
)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include/blocks)
add_subdirectory(lib)
#if(ENABLE_TESTING)
#  add_subdirectory(tests)
#endif(ENABLE_TESTING)
if(ENABLE_PYTHON)
     add_subdirectory(python)
     add_subdirectory(swig)
     add_subdirectory(grc)
     add_subdirectory(doc)
     add_subdirectory(examples)
endif(ENABLE_PYTHON)

########################################################################
# Create Pkg Config File
########################################################################
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-blocks.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-blocks.pc
@ONLY)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-blocks.pc
    DESTINATION ${GR_LIBRARY_DIR}/pkgconfig
    COMPONENT "blocks_devel"
)

endif(ENABLE_GR_BLOCKS)

=== gr-digital/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
# 
# This file is part of GNU Radio
# 
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
# 
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup dependencies
########################################################################
include(GrBoost)

########################################################################
# Register component
########################################################################
include(GrComponent)
GR_REGISTER_COMPONENT("gr-digital" ENABLE_GR_DIGITAL
    Boost_FOUND
    ENABLE_GR_CORE
    ENABLE_GR_ANALOG
    ENABLE_GR_BLOCKS
    ENABLE_GR_FILTER
)

GR_SET_GLOBAL(GR_DIGITAL_INCLUDE_DIRS
    ${CMAKE_CURRENT_SOURCE_DIR}/include
)

GR_SET_GLOBAL(GR_DIGITAL_SWIG_INCLUDE_DIRS
    ${CMAKE_CURRENT_SOURCE_DIR}/swig
)

SET(GR_PKG_DIGITAL_EXAMPLES_DIR ${GR_PKG_DATA_DIR}/examples/digital)

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_GR_DIGITAL)

########################################################################
# Setup CPack components
########################################################################
include(GrPackage)
CPACK_SET(CPACK_COMPONENT_GROUP_DIGITAL_DESCRIPTION "GNU Radio Digital Blocks")

CPACK_COMPONENT("digital_runtime"
    GROUP        "Digital"
    DISPLAY_NAME "Runtime"
    DESCRIPTION  "Dynamic link libraries"
    DEPENDS      "core_runtime"
)

CPACK_COMPONENT("digital_devel"
    GROUP        "Digital"
    DISPLAY_NAME "Development"
    DESCRIPTION  "C++ headers, package config, import libraries"
    DEPENDS      "core_devel"
)

CPACK_COMPONENT("digital_python"
    GROUP        "Digital"
    DISPLAY_NAME "Python"
    DESCRIPTION  "Python modules for runtime"
    DEPENDS      "core_python;digital_runtime"
)

CPACK_COMPONENT("digital_swig"
    GROUP        "Digital"
    DISPLAY_NAME "SWIG"
    DESCRIPTION  "SWIG development .i files"
    DEPENDS      "core_swig;digital_python;digital_devel"
)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include)
add_subdirectory(include/digital)
add_subdirectory(lib)
add_subdirectory(doc)
if(ENABLE_PYTHON)
    add_subdirectory(swig)
    add_subdirectory(python)
    add_subdirectory(grc)
    add_subdirectory(examples)
endif(ENABLE_PYTHON)

########################################################################
# Create Pkg Config File
########################################################################
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-digital.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-digital.pc
@ONLY)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-digital.pc
    DESTINATION ${GR_LIBRARY_DIR}/pkgconfig
    COMPONENT "digital_devel"
)

endif(ENABLE_GR_DIGITAL)

=== gr-howto-write-a-block/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.


########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.6)
project(gr-howto-write-a-block CXX C)
enable_testing()

#select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "")

list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

########################################################################
# Compiler specific setup
########################################################################
if(CMAKE_COMPILER_IS_GNUCXX AND NOT WIN32)
    #http://gcc.gnu.org/wiki/Visibility
    add_definitions(-fvisibility=hidden)
endif()

########################################################################
# Find boost
########################################################################
if(UNIX AND EXISTS "/usr/lib64")
    list(APPEND BOOST_LIBRARYDIR "/usr/lib64") #fedora 64-bit fix
endif(UNIX AND EXISTS "/usr/lib64")
set(Boost_ADDITIONAL_VERSIONS
    "1.35.0" "1.35" "1.36.0" "1.36" "1.37.0" "1.37" "1.38.0" "1.38" "1.39.0" "1.39"
    "1.40.0" "1.40" "1.41.0" "1.41" "1.42.0" "1.42" "1.43.0" "1.43" "1.44.0" "1.44"
    "1.45.0" "1.45" "1.46.0" "1.46" "1.47.0" "1.47" "1.48.0" "1.48" "1.49.0" "1.49"
    "1.50.0" "1.50" "1.51.0" "1.51" "1.52.0" "1.52" "1.53.0" "1.53" "1.54.0" "1.54"
    "1.55.0" "1.55" "1.56.0" "1.56" "1.57.0" "1.57" "1.58.0" "1.58" "1.59.0" "1.59"
    "1.60.0" "1.60" "1.61.0" "1.61" "1.62.0" "1.62" "1.63.0" "1.63" "1.64.0" "1.64"
    "1.65.0" "1.65" "1.66.0" "1.66" "1.67.0" "1.67" "1.68.0" "1.68" "1.69.0" "1.69"
)
find_package(Boost "1.35")

if(NOT Boost_FOUND)
    message(FATAL_ERROR "Boost required to compile howto")
endif()

########################################################################
# Install directories
########################################################################
include(GrPlatform) #define LIB_SUFFIX
set(GR_RUNTIME_DIR      bin)
set(GR_LIBRARY_DIR      lib${LIB_SUFFIX})
set(GR_INCLUDE_DIR      include)
set(GR_DATA_DIR         share)
set(GR_PKG_DATA_DIR     ${GR_DATA_DIR}/${CMAKE_PROJECT_NAME})
set(GR_DOC_DIR          ${GR_DATA_DIR}/doc)
set(GR_PKG_DOC_DIR      ${GR_DOC_DIR}/${CMAKE_PROJECT_NAME})
set(GR_CONF_DIR         etc)
set(GR_PKG_CONF_DIR     ${GR_CONF_DIR}/${CMAKE_PROJECT_NAME}/conf.d)
set(GR_LIBEXEC_DIR      libexec)
set(GR_PKG_LIBEXEC_DIR  ${GR_LIBEXEC_DIR}/${CMAKE_PROJECT_NAME})
set(GRC_BLOCKS_DIR      ${GR_PKG_DATA_DIR}/grc/blocks)

########################################################################
# Find gnuradio build dependencies
########################################################################
find_package(Gruel)
find_package(GnuradioCore)

if(NOT GRUEL_FOUND)
    message(FATAL_ERROR "Gruel required to compile howto")
endif()

if(NOT GNURADIO_CORE_FOUND)
    message(FATAL_ERROR "GnuRadio Core required to compile howto")
endif()

# Handle gr_log enable/disable
include(GrMiscUtils) #define LIB_SUFFIX
GR_LOGGING()

########################################################################
# Setup the include and linker paths
########################################################################
include_directories(
    ${CMAKE_SOURCE_DIR}/include
    ${GNURADIO_CORE_INCLUDE_DIRS}
    ${GRUEL_INCLUDE_DIRS}
    ${LOG4CPP_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
)

link_directories(
    ${GNURADIO_CORE_LIBRARY_DIRS}
    ${GRUEL_LIBRARY_DIRS}
    ${LOG4CPP_LIBRARY_DIRS}
    ${Boost_LIBRARY_DIRS}
)

# Set component parameters
set(GR_HOWTO_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/include CACHE INTERNAL "" FORCE)
set(GR_HOWTO_SWIG_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/swig CACHE INTERNAL "" FORCE)

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(include)
add_subdirectory(lib)
add_subdirectory(swig)
add_subdirectory(python)
add_subdirectory(grc)
add_subdirectory(apps)
add_subdirectory(docs)

=== gr-utils/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup dependencies
########################################################################

########################################################################
# Register component
########################################################################
include(GrComponent)
GR_REGISTER_COMPONENT("gr-utils" ENABLE_GR_UTILS
    ENABLE_GR_CORE
    ENABLE_PYTHON
)

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_GR_UTILS)

########################################################################
# Setup CPack components
########################################################################
include(GrPackage)
CPACK_COMPONENT("utils"
    DISPLAY_NAME "Utils"
    DESCRIPTION  "Misc gnuradio python utilities"
    DEPENDS      "core_python"
)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(src/python)


endif(ENABLE_GR_UTILS)

=== grc/CMakeLists.txt ===
# Copyright 2011,2013 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup dependencies
########################################################################
include(GrPython)

GR_PYTHON_CHECK_MODULE("python >= 2.5"     sys          "sys.version.split()[0] >= '2.5'"           PYTHON_MIN_VER_FOUND)
GR_PYTHON_CHECK_MODULE("Cheetah >= 2.0.0"  Cheetah      "Cheetah.Version >= '2.0.0'"                CHEETAH_FOUND)
GR_PYTHON_CHECK_MODULE("lxml >= 1.3.6"     lxml.etree   "lxml.etree.LXML_VERSION >= (1, 3, 6, 0)"   LXML_FOUND)
GR_PYTHON_CHECK_MODULE("pygtk >= 2.10.0"   gtk          "gtk.pygtk_version >= (2, 10, 0)"           PYGTK_FOUND)
GR_PYTHON_CHECK_MODULE("numpy"             numpy        True                                        NUMPY_FOUND)

########################################################################
# Register component
########################################################################
include(GrComponent)
if(NOT CMAKE_CROSSCOMPILING)
    set(grc_python_deps
        PYTHON_MIN_VER_FOUND
        CHEETAH_FOUND
        LXML_FOUND
        PYGTK_FOUND
        NUMPY_FOUND
    )
endif(NOT CMAKE_CROSSCOMPILING)

GR_REGISTER_COMPONENT("gnuradio-companion" ENABLE_GRC
    ENABLE_GR_CORE
    ENABLE_PYTHON
    ${grc_python_deps}
)

########################################################################
# Begin conditional configuration
########################################################################
if(ENABLE_GRC)

########################################################################
# Setup CPack components
########################################################################
include(GrPackage)
CPACK_COMPONENT("grc"
    DISPLAY_NAME "GNU Radio Companion"
    DESCRIPTION  "Graphical flow graph designer"
    DEPENDS      "core_python"
)

########################################################################
# Create and install the grc conf file
########################################################################
file(TO_NATIVE_PATH ${CMAKE_INSTALL_PREFIX}/${GRC_BLOCKS_DIR} blocksdir)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/grc.conf.in
    ${CMAKE_CURRENT_BINARY_DIR}/grc.conf
@ONLY)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/grc.conf
    DESTINATION ${GR_PREFSDIR}
    COMPONENT "grc"
)

GR_PYTHON_INSTALL(
    FILES __init__.py
    DESTINATION ${GR_PYTHON_DIR}/gnuradio/grc
    COMPONENT "grc"
)

########################################################################
# Appens NSIS commands to set environment variables
########################################################################
if(WIN32)

file(TO_NATIVE_PATH ${GR_PKG_DOC_DIR} GR_DOC_DIR)
string(REPLACE "\\" "\\\\" GR_DOC_DIR ${GR_DOC_DIR})

file(TO_NATIVE_PATH ${GRC_BLOCKS_DIR} GRC_BLOCKS_PATH)
string(REPLACE "\\" "\\\\" GRC_BLOCKS_PATH ${GRC_BLOCKS_PATH})

file(TO_NATIVE_PATH ${GR_PYTHON_DIR} GR_PYTHON_POSTFIX)
string(REPLACE "\\" "\\\\" GR_PYTHON_POSTFIX ${GR_PYTHON_POSTFIX})

CPACK_SET(CPACK_NSIS_EXTRA_INSTALL_COMMANDS "${CPACK_NSIS_EXTRA_INSTALL_COMMANDS}
    #!include \\\"winmessages.nsh\\\"
    WriteRegStr HKLM ${HLKM_ENV} \\\"GRC_BLOCKS_PATH\\\" \\\"$INSTDIR\\\\${GRC_BLOCKS_PATH}\\\"
    SendMessage \\\${HWND_BROADCAST} \\\${WM_WININICHANGE} 0 \\\"STR:Environment\\\" /TIMEOUT=5000
")

CPACK_SET(CPACK_NSIS_EXTRA_UNINSTALL_COMMANDS "${CPACK_NSIS_EXTRA_UNINSTALL_COMMANDS}
    #!include \\\"winmessages.nsh\\\"
    DeleteRegValue HKLM ${HLKM_ENV} \\\"GRC_BLOCKS_PATH\\\"
    SendMessage \\\${HWND_BROADCAST} \\\${WM_WININICHANGE} 0 \\\"STR:Environment\\\" /TIMEOUT=5000
")

endif(WIN32)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(base)
add_subdirectory(blocks)
add_subdirectory(freedesktop)
add_subdirectory(grc_gnuradio)
add_subdirectory(gui)
add_subdirectory(python)
add_subdirectory(scripts)
add_subdirectory(examples)

endif(ENABLE_GRC)

=== volk/CMakeLists.txt ===
#
# Copyright 2011 Free Software Foundation, Inc.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.6)
if(NOT DEFINED CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()
set(CMAKE_BUILD_TYPE ${CMAKE_BUILD_TYPE} CACHE STRING "Choose build type: None Debug Release RelWithDebInfo MinSizeRel")
project(volk)
enable_language(CXX)
enable_language(C)
enable_testing()
set(VERSION 0.1)
set(LIBVER 0.0.0)

set(CMAKE_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}) #allows this to be a sub-project
set(CMAKE_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR}) #allows this to be a sub-project
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake) #location for custom "Modules"

########################################################################
# Environment setup
########################################################################
IF(NOT DEFINED BOOST_ROOT)
    SET(BOOST_ROOT ${CMAKE_INSTALL_PREFIX})
ENDIF()

IF(NOT DEFINED CROSSCOMPILE_MULTILIB)
    SET(CROSSCOMPILE_MULTILIB "")
ENDIF()
SET(CROSSCOMPILE_MULTILIB ${CROSSCOMPILE_MULTILIB} CACHE STRING "Define \"true\" if you have and want to use multiple C development libs installed for cross compile")


########################################################################
# Dependencies setup
########################################################################
include(GrPython) #sets PYTHON_EXECUTABLE and PYTHON_DASH_B
GR_PYTHON_CHECK_MODULE("python >= 2.5"     sys          "sys.version.split()[0] >= '2.5'"           PYTHON_MIN_VER_FOUND)
GR_PYTHON_CHECK_MODULE("Cheetah >= 2.0.0"  Cheetah      "Cheetah.Version >= '2.0.0'"                CHEETAH_FOUND)

if(NOT PYTHON_MIN_VER_FOUND)
    message(FATAL_ERROR "Python 2.5 or greater required to build VOLK")
endif()

if(NOT CHEETAH_FOUND)
    message(FATAL_ERROR "Cheetah templates required to build VOLK")
endif()

if(MSVC)
    if (NOT DEFINED BOOST_ALL_DYN_LINK)
        set(BOOST_ALL_DYN_LINK TRUE)
    endif()
    set(BOOST_ALL_DYN_LINK "${BOOST_ALL_DYN_LINK}" CACHE BOOL "boost enable dynamic linking")
    if(BOOST_ALL_DYN_LINK)
        add_definitions(-DBOOST_ALL_DYN_LINK) #setup boost auto-linking in msvc
    else(BOOST_ALL_DYN_LINK)
        unset(BOOST_REQUIRED_COMPONENTS) #empty components list for static link
    endif(BOOST_ALL_DYN_LINK)
endif(MSVC)
include(GrBoost)

if(NOT Boost_FOUND)
    message(FATAL_ERROR "VOLK Requires boost to build")
endif()

find_package(ORC)

########################################################################
# Setup the package config file
########################################################################
#set variables found in the pc.in file
set(prefix ${CMAKE_INSTALL_PREFIX})
set(exec_prefix "\${prefix}")
set(libdir "\${exec_prefix}/lib${LIB_SUFFIX}")
set(includedir "\${prefix}/include")

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/volk.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/volk.pc
@ONLY)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/volk.pc
    DESTINATION lib${LIB_SUFFIX}/pkgconfig
    COMPONENT "volk_devel"
)

########################################################################
# Install all headers in the include directories
########################################################################
install(
    DIRECTORY ${CMAKE_SOURCE_DIR}/include/volk
    DESTINATION include COMPONENT "volk_devel"
    FILES_MATCHING PATTERN "*.h"
)

install(FILES
    ${CMAKE_BINARY_DIR}/include/volk/volk.h
    ${CMAKE_BINARY_DIR}/include/volk/volk_cpu.h
    ${CMAKE_BINARY_DIR}/include/volk/volk_config_fixed.h
    ${CMAKE_BINARY_DIR}/include/volk/volk_typedefs.h
    DESTINATION include/volk
    COMPONENT "volk_devel"
)

########################################################################
# Setup the library
########################################################################
add_subdirectory(lib)

########################################################################
# And the utility apps
########################################################################
add_subdirectory(apps)

########################################################################
# Print summary
########################################################################
message(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")

=== docs/doxygen/CMakeLists.txt ===
# Copyright 2011 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Create the doxygen configuration file
########################################################################
file(TO_NATIVE_PATH ${CMAKE_SOURCE_DIR} top_srcdir)
file(TO_NATIVE_PATH ${CMAKE_BINARY_DIR} top_builddir)
file(TO_NATIVE_PATH ${CMAKE_SOURCE_DIR} abs_top_srcdir)
file(TO_NATIVE_PATH ${CMAKE_BINARY_DIR} abs_top_builddir)

set(HAVE_DOT ${DOXYGEN_DOT_FOUND})
set(enable_html_docs YES)
set(enable_latex_docs NO)
set(enable_xml_docs YES)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in
    ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
@ONLY)

set(BUILT_DIRS ${CMAKE_CURRENT_BINARY_DIR}/xml ${CMAKE_CURRENT_BINARY_DIR}/html)

if(ENABLE_GRUEL)
  list(APPEND GENERATED_DEPS pmt_generated)
endif(ENABLE_GRUEL)

if(ENABLE_GR_CORE)
  list(APPEND GENERATED_DEPS general_generated gengen_generated filter_generated)
endif(ENABLE_GR_CORE)

if(ENABLE_GR_BLOCKS)
  list(APPEND GENERATED_DEPS blocks_generated_includes)
endif(ENABLE_GR_BLOCKS)

if(ENABLE_GR_ANALOG)
  list(APPEND GENERATED_DEPS analog_generated_includes)
endif(ENABLE_GR_ANALOG)

if(ENABLE_GR_DIGITAL)
  list(APPEND GENERATED_DEPS digital_generated_includes)
endif(ENABLE_GR_DIGITAL)

if(ENABLE_GR_FILTER)
  list(APPEND GENERATED_DEPS filter_generated_includes)
endif(ENABLE_GR_FILTER)

if(ENABLE_GR_TRELLIS)
  list(APPEND GENERATED_DEPS trellis_generated_includes)
endif(ENABLE_GR_TRELLIS)

########################################################################
# Make and install doxygen docs
########################################################################
add_custom_command(
    OUTPUT ${BUILT_DIRS}
    COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    DEPENDS ${GENERATED_DEPS}
    COMMENT "Generating documentation with doxygen"
)

add_custom_target(doxygen_target ALL DEPENDS ${BUILT_DIRS})

install(DIRECTORY ${BUILT_DIRS} DESTINATION ${GR_PKG_DOC_DIR} COMPONENT "docs")

=== gr-analog/examples/CMakeLists.txt ===
# Copyright 2012 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

include(GrPython)

# Base stuff
GR_PYTHON_INSTALL(PROGRAMS
    DESTINATION ${GR_PKG_ANALOG_EXAMPLES_DIR}
    COMPONENT "analog_python"
)

=== gr-analog/lib/CMakeLists.txt ===
# Copyright 2012-2013 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup the include and linker paths
########################################################################
include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}/../include
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}
    ${GR_ANALOG_INCLUDE_DIRS}
    ${GR_FILTER_INCLUDE_DIRS}
    ${GR_FFT_INCLUDE_DIRS}
    ${GNURADIO_CORE_INCLUDE_DIRS}
    ${VOLK_INCLUDE_DIRS}
    ${GRUEL_INCLUDE_DIRS}
    ${Boost_INCLUDE_DIRS}
)

link_directories(${Boost_LIBRARY_DIRS})

########################################################################
# generate helper scripts to expand templated files
########################################################################
include(GrPython)

file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/generate_helper.py "
#!${PYTHON_EXECUTABLE}

import sys, os, re
sys.path.append('${GR_CORE_PYTHONPATH}')
os.environ['srcdir'] = '${CMAKE_CURRENT_SOURCE_DIR}'
os.chdir('${CMAKE_CURRENT_BINARY_DIR}')

if __name__ == '__main__':
    import build_utils
    root, inp = sys.argv[1:3]
    for sig in sys.argv[3:]:
        name = re.sub ('X+', sig, root)
        d = build_utils.standard_impl_dict2(name, sig, 'analog')
        build_utils.expand_template(d, inp)
")

macro(expand_cc root)
  #make a list of all the generated files
  unset(expanded_files_cc)
  unset(expanded_files_h)
  foreach(sig ${ARGN})
    string(REGEX REPLACE "X+" ${sig} name ${root})
    list(APPEND expanded_files_cc ${CMAKE_CURRENT_BINARY_DIR}/${name}.cc)
    list(APPEND expanded_files_h  ${CMAKE_CURRENT_BINARY_DIR}/${name}.h)
  endforeach(sig)
  
  #create a command to generate the source files
  add_custom_command(
    OUTPUT ${expanded_files_cc}
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${root}.cc.t
    COMMAND ${PYTHON_EXECUTABLE} ${PYTHON_DASH_B}
    ${CMAKE_CURRENT_BINARY_DIR}/generate_helper.py
    ${root} ${root}.cc.t ${ARGN}
  )

  #create a command to generate the header file
  add_custom_command(
    OUTPUT ${expanded_files_h}
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/${root}.h.t
    COMMAND ${PYTHON_EXECUTABLE} ${PYTHON_DASH_B}
    ${CMAKE_CURRENT_BINARY_DIR}/generate_helper.py
    ${root} ${root}.h.t ${ARGN}
  )
  
  #make source files depends on headers to force generation
  set_source_files_properties(${expanded_files_cc}
    PROPERTIES OBJECT_DEPENDS "${expanded_files_h}"
  )
  
  #install rules for the generated cc files
  list(APPEND generated_sources ${expanded_files_cc})  
  list(APPEND generated_headers ${expanded_files_h})  
endmacro(expand_cc)


########################################################################
# Invoke macro to generate various sources
########################################################################
expand_cc(noise_source_X_impl     s i f c)
expand_cc(sig_source_X_impl     s i f c)

########################################################################
# Setup library
########################################################################
list(APPEND analog_sources
    ${generated_sources}
    cpm.cc
    squelch_base_cc_impl.cc
    squelch_base_ff_impl.cc
    agc_cc_impl.cc
    agc_ff_impl.cc
    agc2_cc_impl.cc
    agc2_ff_impl.cc
    cpfsk_bc_impl.cc
    ctcss_squelch_ff_impl.cc
    dpll_bb_impl.cc
    feedforward_agc_cc_impl.cc
    fmdet_cf_impl.cc
    frequency_modulator_fc_impl.cc
    phase_modulator_fc_impl.cc
    plateau_detector_fb_impl.cc
    pll_carriertracking_cc_impl.cc
    pll_freqdet_cf_impl.cc
    pll_refout_cc_impl.cc
    probe_avg_mag_sqrd_c_impl.cc
    probe_avg_mag_sqrd_cf_impl.cc
    probe_avg_mag_sqrd_f_impl.cc
    pwr_squelch_cc_impl.cc
    pwr_squelch_ff_impl.cc
    quadrature_demod_cf_impl.cc
    rail_ff_impl.cc
    simple_squelch_cc_impl.cc
    sincos.cc
)

#Add Windows DLL resource file if using MSVC
IF(MSVC)
    include(${CMAKE_SOURCE_DIR}/cmake/Modules/GrVersion.cmake)

    configure_file(
        ${CMAKE_CURRENT_SOURCE_DIR}/gnuradio-analog.rc.in
        ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-analog.rc
    @ONLY)

    list(APPEND analog_sources
        ${CMAKE_CURRENT_BINARY_DIR}/gnuradio-analog.rc
    )

ENDIF(MSVC)

list(APPEND analog_libs
    volk
    gnuradio-core
    gnuradio-filter
    ${Boost_LIBRARIES}
)

add_library(gnuradio-analog SHARED ${analog_sources})
target_link_libraries(gnuradio-analog ${analog_libs})
GR_LIBRARY_FOO(gnuradio-analog RUNTIME_COMPONENT "analog_runtime" DEVEL_COMPONENT "analog_devel")
add_dependencies(gnuradio-analog analog_generated_includes analog_generated_swigs gnuradio-filter)


########################################################################
# QA C++ Code for gr-filter
########################################################################
if(ENABLE_TESTING)
  include(GrTest)

  include_directories(${CPPUNIT_INCLUDE_DIRS})
  link_directories(${CPPUNIT_LIBRARY_DIRS})

  list(APPEND test_gr_analog_sources
    ${CMAKE_CURRENT_SOURCE_DIR}/test_gr_analog.cc
    ${CMAKE_CURRENT_SOURCE_DIR}/qa_analog.cc
    ${CMAKE_CURRENT_SOURCE_DIR}/qa_sincos.cc
    ${CMAKE_CURRENT_SOURCE_DIR}/qa_rotator.cc
    )

  add_executable(test-gr-analog ${test_gr_analog_sources})

  target_link_libraries(
    test-gr-analog
    gnuradio-core
    gnuradio-analog 
    ${Boost_LIBRARIES}
    ${CPPUNIT_LIBRARIES}
  )

  list(APPEND GR_TEST_TARGET_DEPS gnuradio-analog gnuradio-filter gnuradio-fft)

  GR_ADD_TEST(test_gr_analog test-gr-analog)
endif(ENABLE_TESTING)

CHECK_CXX_SOURCE_COMPILES("
    #define _GNU_SOURCE
    #include <math.h>
    int main(){double x, sin, cos; sincos(x, &sin, &cos); return 0;}
    " HAVE_SINCOS
)
GR_ADD_COND_DEF(HAVE_SINCOS)

=== gr-analog/python/CMakeLists.txt ===
# Copyright 212 Free Software Foundation, Inc.
#
# This file is part of GNU Radio
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Setup python install
########################################################################
include(GrPython)

GR_PYTHON_INSTALL(
    FILES
    __init__.py
    DESTINATION ${GR_PYTHON_DIR}/gnuradio/analog
    COMPONENT "analog_python"
)

########################################################################
# Handle the unit tests
########################################################################
if(ENABLE_TESTING)

list(APPEND GR_TEST_PYTHON_DIRS
    ${CMAKE_BINARY_DIR}/gr-analog/python
    ${CMAKE_BINARY_DIR}/gr-analog/swig
    ${CMAKE_BINARY_DIR}/gr-filter/python
    ${CMAKE_BINARY_DIR}/gr-filter/swig
)
list(APPEND GR_TEST_TARGET_DEPS gnuradio-analog gnuradio-filter gnuradio-fft)

include(GrTest)
file(GLOB py_qa_test_files "qa_*.py")
foreach(py_qa_test_file ${py_qa_test_files})
    get_filename_component(py_qa_test_name ${py_qa_test_file} NAME_WE)
    GR_ADD_TEST(${py_qa_test_name} ${PYTHON_EXECUTABLE} ${PYTHON_DASH_B} ${py_qa_test_file})
endforeach(py_qa_test_file)
endif(ENABLE_TESTING)

=== debian/changelog ===
gnuradio (3.6.5.1-1ubuntu1) saucy; urgency=low

  * Do not build-conflict on python3.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Wed, 03 Jul 2013 10:53:07 +0100

gnuradio (3.6.5.1-1) unstable; urgency=low

  * New upstream release
  * Bug fixes
  audio: fix default alsa device from hw:0,0 to default, Bug #551 (Tim O'Shea)
  blocks: fix big-endian issue in wavefile blocks (Jaroslav Škarvada)
  blocks: fix erroneous linkage to gr-filter (#547) (Johnathan Corgan)
  blocks: fix for ~file_source crash, Bug #550 (Tim O'Shea)
  blocks: fix param test in keep_me_in_n GRC wrapper (Tim Monahan-Mitchell)
  blocks: fix use of assertGreater in QA for older Python (Johnathan Corgan)
  cmake: fix CRLF to LF in in some modules (fixes #549) (Johnathan Corgan)
  cmake: make install directory of GNU Radio cmakes files configurable
         (Jaroslav Škarvada)
  core: ensure message passing blocks marked done are handled
        (Johnathan Corgan)
  core: fir_filter_with_buffer using consistent error margins in all
        QA tests (Tom Rondeau)
  core: fix vmcircbuf file read/compare to use strncmp instead of strcmp
        (Tom Rondeau)
  core: makes sure if capping to max_noutput_items with output_multiple
        that the value is always an output_multiple. (Tom Rondeau)
  core: making block_registry thread-safe for multiple flowgraphs to
        access it (Tom Rondeau)
  core: fix 2 threading issues with the shared memory system. (Tom Rondeau)
  digital: a block should not hold a reference to itself (Josh Blum)
  digital: bugfixes to ofdm_chanest, HPD and frame EQ (Martin Braun)
  digital: hack to prevent the HPD from crashing flow graphs (Martin Braun)
  digital: remove stray import from QA test (Johnathan Corgan)
  grcc: set grc file path, which is required for hier blocks (Bastian Bloessl)
  wavelet: fix for -lgslcblas getting stripped out of link flags (Tim O'Shea)
  wavelet: do not use unsupported compile flags for OSX (Michael Dickens)
  wxgui: Fixes to solve issues using GL sinks on OS X (Balint Seeber)
  wxgui: fix exception in callback before label set (Marcus D. Leech)
  wxgui: fix flickering on Linux created by bea6d506 (Sylvain Munaut)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 01 Jul 2013 06:51:25 -0400

gnuradio (3.6.5-1) unstable; urgency=low

  * New upstream release
  * Important new features (3.6.5):
  
  New OFDM PHY layer (Martin Braun, Ben Reynwar)
  This release includes new OFDM PHY layer blocks in gr-digital. These
  have been rewritten from scratch to allow more configurability and to use
  some of the newer GNU Radio features (stream tags, async messages). Some
  work remains to tie these into a full over-the-air transceiver, so further
  development will be happening in the GNU Radio 3.7.x release series.
  
  * New runtime logging capability (Tom Rondeau)
  GNU Radio has a logging interface to enable various levels of logging
  information to be printed to the console or a file. The logger derives
  from log4cpp (http://log4cpp.sourceforge.net/) which is readily
  available in most Linux distributions. This is an optional dependency
  and GNU Radio will work without it. See:
  http://gnuradio.org/cgit/gnuradio.git/tree/docs/doxygen/other/logger.dox
  
  * Minor features/changes (3.6.5):
  build: git now ignores the build/ directory (Ben Hilburn)
  build: create and install a config.h for external projects (Tom Rondeau)
  build: install our cmake modules into share/gnuradio/cmake/Modules
  (Tom Rondeau)
  blocks: fixed udp_source to avoid permanent work blockage (Josh Blum)
  blocks: added proper EOF for msg tags test (Josh Blum)
  blocks: added gr::blocks::socket_pdu (Tim O'Shea)
  blocks: added gr::blocks::taptun_pdu (Tim O'Shea)
  blocks: added gr::blocks::pdu_to_tagged_stream (Tim O'Shea)
  blocks: added gr::blocks::tagged_stream_to_pdu (Tim O'Shea)
  blocks: added default arg value to mute_XX (Tim O'Shea)
  blocks: added probe_rate block (Tim O'Shea)
  blocks: fixed probe_signal_vx vector utilisation (Mike Jameson)
  blocks: fixed XML data type in gr::blocks::deinterleave (Miklos Maroti)
  docs: updated pfb introduction (Ben Reynwar)
  digital: added option to QAM to help with frequency locking (Ben Reynwar)
  digital: made qa_constellation_receiver more reliable (Ben Reynwar)
  digital: added QAM32-like constellation (Ben Reynwar)
  filter: added callback to adjust resampling rate of pfb_arb_resampler
  block (Tom Rondeau)
  filter: added fractional_resampler as a renamed
  fractional_interpolator (Tom Rondeau)
  grc: added sorting ability to GRC category tree (Gregory Warnes)
  grc: made 'float' an acceptable alias to 'real' in parameter types
  (Tom Rondeau)
  modtool: added tagged_stream block as an option (Martin Braun)
  modtool: fixed general python block template (Mike Jameson)
  uhd: added a usrp PC sync option (Josh Blum)
  uhd: added getters for bandwidth setting and range (Josh Blum)
  uhd: updated usrp_spectrum_sense with frequency readout (Mike Jameson)

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 27 May 2013 15:28:27 -0400

gnuradio (3.6.4.2-1) unstable; urgency=low

  * New upstream release
  * Bug fixes:
  docs: fixed QT docs keywords (Ben Reynwar)
  blocks: fixed XML wrapper for gr::blocks::complex_to_real (Johnathan Corgan)
  blocks: fixed file meta data source to handle repeat of files (Tom Rondeau)
  blocks: fixed XML data type in gr::blocks::plateau_detector_fb
  (Johnathan Corgan)
  digital: fixed virtual destructor for constellation class (Tom Rondeau)
  digital: fixed SNR estimators (Tom Rondeau)
  filter: fixed pfb_arb_resampler XML for I/O types (Johnathan Corgan)
  filter: fixed exception when using interpolating filter with no taps
  (Tom Rondeau)
  filter: fixed pfb_arb_resampler to handle default taps (None) case
  (Tom Rondeau)
  grc: fixed (removed) "c" key shortcut for create heir action (Tim O'Shea)
  grc: fixed problem with order of message ports vs. data ports (Tom Rondeau)


=== debian/control ===
################################################################################
# Single source deb for entire distribution                                    #
################################################################################
Source: gnuradio
Section: comm
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>
Build-Depends: debhelper (>= 9.0.0~), cmake, libuhd-dev, libasound2-dev, libjack-jackd2-dev, portaudio19-dev, libxi-dev, libfontconfig1-dev, libxrender-dev, libpulse-dev, libcomedi-dev, swig (>=1.3.31), python-dev, libfftw3-dev, libcppunit-dev (>=1.9.14), libboost-all-dev (>=1.35), libusb-1.0-0-dev [linux-any], libusb2-dev [kfreebsd-any], liborc-0.4-dev, liboil0.3-dev, libsdl1.2-dev, python-wxgtk2.8, guile-1.8-dev, libqt4-dev, python-numpy, python-opengl, libgsl0-dev (>=1.10), python-cheetah, python-lxml, python-sphinx, doxygen, xmlto, qt4-dev-tools, libqwt5-qt4-dev, libqwtplot3d-qt4-dev, pyqt4-dev-tools, python-qwt5-qt4, python-gtk2-dev, pkg-config (>=0.15.0), libgsm1-dev, liblog4cpp5-dev
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/users/bottoms/pkg-gnuradio.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/bottoms/pkg-gnuradio.git;a=summary
X-Python-Version: =2.7

################################################################################
# Multiple library packages
################################################################################
Package: gnuradio
Architecture: any
Depends: ${python:Depends}, python-opengl, python-lxml, python-wxgtk2.8, python-cheetah, adduser, ${shlibs:Depends}, ${misc:Depends}
Recommends: gnuradio-dev, python-qt4, python-qwt5-qt4, python-scipy, python-matplotlib, uhd-host, python-tk, qthid-fcd-controller
Description: GNU Radio Software Radio Toolkit
 GNU Radio provides signal processing blocks to implement software
 radios. It can be used with readily-available low-cost external RF
 hardware to create software-defined radios, or without hardware in a
 simulation-like environment. It is widely used in hobbyist, academic
 and commercial environments to support both wireless communications
 research and real-world radio systems.
 .
 GNU Radio applications are primarily written using the Python
 programming language, while the supplied performance-critical signal
 processing path is implemented in C++ using processor floating-point
 extensions, where available. Thus, the developer is able to implement
 real-time, high-throughput radio systems in a simple-to-use,
 rapid-application-development environment.
 .
 While not primarily a simulation tool, GNU Radio does support
 development of signal processing algorithms using pre-recorded or
 generated data, avoiding the need for actual RF hardware.
 .
 This package contains the gnuradio-companion, a graphical tool for
 creating signal flow graphs and generating flow-graph source code.
 Also included are a variety of tools and utility programs.
 .
 To develop GNU Radio applications or extensions in C++ you will
 also need to install the gnuradio-dev package.

Package: gnuradio-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: GNU Software Defined Radio toolkit documentation
 Documentation for the GNU Radio software defined radio system
 in html and xml form.

Package: gnuradio-dev
Section: libdevel
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: gnuradio (= ${binary:Version}), ${misc:Depends}
Description: GNU Software Defined Radio toolkit development
 Header files for the GNU Radio software defined radio system.

Package: libgnuradio-analog3.6.5.1
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: gnuradio analog functions
 Library for handling analog signal processing functions.
 These functions are also in gnuradio-core.
 Part of the main gnuradio build.

Package: libgnuradio-atsc3.6.5.1
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: gnuradio atsc functions
 Library for handling ATSC (Advanced Television Systems Committee)
 signals such as those used for digital television broadcast in North
 America. Part of the main gnuradio build.

Package: libgnuradio-audio3.6.5.1
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: gnuradio audio functions
 This is the gr-audio library, used to connect to audio sources
 (mic-in) and sinks (speaker-out) ports on a computer. The underlying
 hardware driver is system and OS dependent and this module should
 automatically discover the correct one to use.  Part of the main
 gnuradio build.

Package: libgnuradio-comedi3.6.5.1
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: gnuradio comedi instrument control functions
 Allows gnuradio to use signals from data acquisition hardware
 supported by the Comedi library and drivers.
 Part of the main gnuradio build.

Package: libgnuradio-blocks3.6.5.1
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: gnuradio blocks functions
 Some non-signal processing blocks.
 These functions are also in gnuradio-core.
 Part of the main gnuradio build.

Package: libgnuradio-core3.6.5.1
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: gnuradio core functions
 Core signal processing math and process scheduling library.
 Will be removed during 3.7 development. Functions moved
 to gr-analog and gr-blocks and other more appropriate
 top-level components.
 Part of the main gnuradio build.

Package: libgnuradio-digital3.6.5.1
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: gnuradio digital communications functions
 All the functions for doing digital modulation and demodulation,
 including bpsk, qpsk, gmsk and ofdm signals.
 Part of the main gnuradio build.

Package: libgnuradio-fcd3.6.5.1
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: gnuradio FunCube Dongle support
 The Funcube Dongle is a software defined radio
 receiver in a USB stick covering 64 MHz - 1.7 GHz. More info about the
 Funcube Dongle is available at http://www.funcubedongle.com/
 .
 This library allows the device to be used as a source in GNU Radio.
 .
 Part of the main gnuradio build.

Package: libgnuradio-filter3.6.5.1
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: gnuradio filter functions
 Library of filter blocks used in gnuradio.

Package: libgnuradio-fft3.6.5.1
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: gnuradio fast Fourier transform functions
 Library for Fourier transform techniques used in gnuradio.

Package: libgnuradio-noaa3.6.5.1
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: gnuradio noaa satellite signals functions
 Library for handling NOAA HRPT (National Oceanic and Atmospheric
 Administration High Rate Picture Transmission) signals.
 Part of the main gnuradio build.

Package: libgnuradio-pager3.6.5.1
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: gnuradio pager radio functions
 Library for handling pager signals, including FLEX protocol data.
 Part of the main gnuradio build.

Package: libgnuradio-qtgui3.6.5.1
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: gnuradio Qt graphical user interface functions
 QT-based graphical sinks for gnuradio applications.
 Part of the main gnuradio build.

Package: libgnuradio-trellis3.6.5.1
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: gnuradio trellis modulation functions
 Library for trellis coding modulation, including the Vitterbi
 Algorithm. Part of the main gnuradio build.

Package: libgnuradio-uhd3.6.5.1
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libuhd003 (>= 3.4.1)
Multi-Arch: same
Description: gnuradio universal hardware driver functions
 The gnuradio interface to the UHD library to connect to and send and
 receive data between to the Ettus Research, LLC product line -
 including the USRP family of software radio periphal devices.
 Part of the main gnuradio build.

Package: libgnuradio-video-sdl3.6.5.1
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: gnuradio video functions
 Library for handling SDL (Simple DirectMedia Layer) video data.
 Part of the main gnuradio build.

Package: libgnuradio-vocoder3.6.5.1
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: gnuradio vocoder functions
 Library of vocoder blocks, including ulaw, alaw, gsm and codec2.
 Part of the main gnuradio build.

Package: libgnuradio-wavelet3.6.5.1
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: gnuradio wavelet functions
 Library of Daubechies wavelet function blocks.
 Part of the main gnuradio build.

Package: libgruel3.6.5.1
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: gnuradio utilities etcetera functions
 The GNU Radio Utility Etcetera Library, a collection of low-level
 routines to avoid dependencies on the full GNU Radio core or other
 libraries. Part of the main gnuradio build.

Package: libvolk0.0.0
Section: libs
Architecture: any
Pre-Depends: multiarch-support, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: gnuradio vector optimized functions
 Vector-Optimized Library of Kernels) and it is designed to help
 gnuradio work with the processor's SIMD instruction sets. These are
 very powerful vector operations that can give signal processing a
 huge boost in performance. Part of the main gnuradio build.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --parallel --builddirectory=build --with-buildsystem=cmake --with python2

override_dh_python2:
	dh_python2 --no-guessing-versions

override_dh_auto_configure:
	dpkg-buildflags --export=make
	CFLAGS = \" $(CFLAGS) $(CPPFLAGS) \" ;\
	 CXXFLAGS = \" $(CXXFLAGS) $(CPPFLAGS) \" ;\
	 dh_auto_configure -- -DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)"

override_dh_auto_test:
	- dh_auto_test

override_dh_auto_install:
	dh_auto_install
	# jquery.js is provided in another debian package, do not ship one here too
	rm debian/tmp/usr/share/doc/gnuradio*/html/jquery.js
	chmod +x debian/tmp/usr/lib/python2.7/dist-packages/gnuradio/grc/python/flow_graph.tmpl
